=== debian/changelog ===
lxqt-admin (1.4.0-2) unstable; urgency=medium

  [ Macy Lin ]
  * debian/control: build-deps on qttools5-dev. (Closes:#1078291)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 08 Sep 2024 14:15:00 +0200

lxqt-admin (1.4.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Suppress blhc error

  [ Andrew Lee (李健秋) ]
  * New upstream version 1.4.0
  * debian/control: build-deps on liblxqt1-dev (>= 1.4.0~).
  * debian/upstream/metadata: drop obsolete field Name.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 10 Dec 2023 16:55:45 +0100

lxqt-admin (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * debian/control: update team address.
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/control; build-deps on liblxqt1-dev (>= 1.3.0~).
  * debian/control: clean up build-deps.
  * debian/copyright: update.
  * debian/upstream/metadata: update url for git repo.
  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 01 Jul 2023 08:07:58 +0200

lxqt-admin (1.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 14 Dec 2022 23:23:59 +0800
