=== debian/control ===
Source: lxqt-admin
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.4.0~),
               libpolkit-qt5-1-dev,
               libqt5x11extras5-dev,
               libsystemd-dev,
               qttools5-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-admin
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-admin.git
Homepage: https://github.com/lxqt/lxqt-admin
Rules-Requires-Root: no

Package: lxqt-admin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: lxqt-admin-l10n,
            lxqt-policykit,
            lxqt-qtplugin,
Description: Admin tools for LXQt
 Admin tools for LXQt, as of now:
  * lxqt-admin-time
  * lxqt-admin-user
 .
 This package contain the LXQt Admin Tools.

Package: lxqt-admin-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n,
Description: Language package for lxqt-admin
 The l10n files for lxqt-admin.
 .
 This package contains the l10n files needed by lxqt-admin.
