=== debian/changelog ===
lxqt-admin (2.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Adjust build dependencies.
  * Update copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:37:50 -0500

lxqt-admin (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Update copyright years.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 12 Nov 2023 18:00:48 -0600
