=== debian/changelog ===
lxqt-admin (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0.
  * debian/control: build-deps on liblxqt-dev (>= 2.1.0~).

 -- Macy Lin <macy@debconf.org>  Tue, 10 Dec 2024 10:09:42 +0100

lxqt-admin (2.0.0-1) unstable; urgency=medium

  * Migrate to unstable.
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 20:47:21 +0100

lxqt-admin (2.0.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  *  New upstream release 2.0.0
  * debian/control: bump dep on libpolkit-qt5-1-dev -> libpolkit-qt6-1-dev
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev
  * debian/control: bump dep on liblxqt1-dev -> liblxqt2-dev
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n

  [ Andrew Lee (李健秋) ]
  * debian/salsa-ci.yml: build against to experimental.
  * debian/control: build-deps on liblxqt-dev (>= 2.0.0~).
  * debian/control: build-deps on libglib2.0-dev,
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 21 Sep 2024 15:19:10 +0200
