=== lxqt-admin-user/translations/CMakeLists.txt ===
project(lxqt-admin-user)

build_component("." "")
