=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-dev,
                libkf6windowsystem-dev,
-               liblxqt-dev (>= 2.1.0~),
+               liblxqt-dev (>= 2.2.0~),
                libpolkit-qt6-1-dev,
                libsystemd-dev,
+               lxqt-build-tools (>= 2.2.0~),
                qt6-tools-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-admin
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-admin.git
 Homepage: https://github.com/lxqt/lxqt-admin
