=== debian/watch ===
version=4

# See https://davesteele.github.io/development/2015/05/02/debian-watch-file-format-for-signed-github-source-tars/ for GitHub workaround for releases page.

opts="downloadurlmangle=s/archive\/refs\/tags\/(.*)\.tar\.gz/releases\/download\/$1\/@PACKAGE@-$1\.tar\.xz/,filenamemangle=s/([\d\.]+)\.tar\.gz/@PACKAGE@-$1\.tar\.xz/,pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/@PACKAGE@/tags .*/([\d\.]+)\.tar\.gz
