## lxqt-admin 2.3.0

=== debian/changelog ===
lxqt-admin (2.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5

  [ Macy Lin ]
  * New upstream version 2.3.0
  * debian/copyright: update.
  * debian/control: build-deps on lxqt-build-tools (>= 2.3.0~).
  * debian/control: build-deps on liblxqt-dev (>= 2.3.0~).

 -- Macy Lin <macy@debconf.org>  Sun, 23 Nov 2025 15:30:17 +0100
